Subject: [Ltru] Mail regarding draft-ietf-ltru-4646bis and draft-ietf-ltru-matching

From: Florian Rivoal <[email-masked]>
Date: Sun, 28 Jul 2019 00:33:23 +0200

(sorry if this mail is going to the wrong place, I am new to reporting issues to IETF)

RFC4647 section 3.2 says:

> [...] designers of applications, protocols, or specifications are encouraged to use the information from the IANA Language Subtag Registry to support canonicalizing language tags and ranges [...]

and

> Applications, protocols, or specifications that canonicalize ranges MUST either perform matching operations with both the canonical and original (unmodified) form of the range or MUST also canonicalize each tag for the purposes of comparison.

However, RFC5646 Section 4.5, which defines canonicalization, only does so for language tags, not for language ranges. Presumably, the process is largely the same, with wildcards in the language subtag being preserved, and I suppose wildcards in other subtags would likely be dropped. But as it stands, that seems undefined.

Also, while giving recommendations about canonicalization for the purpose of filtering, it would seem useful to mention (and possibly to recommend) canonicalizing to the "extlang form". The definition of the extlang form itself (in  RFC5646 Section 4.5) mentions that it is useful for matching and selecting, but that information isn't relayed anywhere RFC4647.

—Florian Rivoal
Invited Expert at the W3C's CSS Working Group